package gaju.veiculos;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class ClienteTest {

	@Test
	public void cliente25AnosSemFidelidadeGrupoA5DiasNaoParcelado() {
		Cliente cliente = new Cliente(25, false, Grupo.GRUPO_A, 5, false);

		double[] calculoAluguelEsperado = Cliente.calculoAluguel(cliente);

		assertEquals(750, calculoAluguelEsperado[0], 0);
	}

	@Test
	public void cliente30AnosComFidelidadeGrupoA10DiasNaoParcelado() {
		Cliente cliente = new Cliente(30, true, Grupo.GRUPO_A, 10, false);

		double[] calculoAluguelEsperado = Cliente.calculoAluguel(cliente);

		assertEquals(1353.75, calculoAluguelEsperado[0], 0);
	}

	@Test
	public void cliente55AnosSemFidelidadeGrupoA1DiaNaoParcelado() {
		Cliente cliente = new Cliente(55, false, Grupo.GRUPO_A, 1, false);

		double[] calculoAluguelEsperado = Cliente.calculoAluguel(cliente);

		assertEquals(150, calculoAluguelEsperado[0], 0);
	}

	@Test
	public void cliente40AnosSemFidelidadeGrupoSParcelado() {
		Cliente cliente = new Cliente(55, false, Grupo.GRUPO_A, 1, true);

		double[] calculoAluguelEsperado = Cliente.calculoAluguel(cliente);

		double[] atual = {110d, 110d};

		assertEquals(atual, calculoAluguelEsperado);
	}
}
