package gaju.veiculos;


import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class AppTest {

	// Implementações
	@Test
	public void possuiFidelidade() {
		double desconto = App.fidelidade(true);
		
		assertEquals(.5, desconto, .0);
	}
	
	@Test
	public void naoPossuiFidelidade() {
		double desconto = App.fidelidade(false);
		
		assertEquals(.0, desconto, .0);
	}
	
	
	// Casos finais
	
	@Test
	/*
	 * Idade 25
	 * Grupo A
	 * Período: 5 dias
	 * Clube Fidelidade: SIM
	 */
	public void reservarCaso1() {
		int idade = 25;
		char grupo = 'A';
		int dias = 5;
		boolean fidelidade = true;

		double total = App.reservar(idade, fidelidade, grupo, dias);
		
		assertEquals(750.0, total, .0);
	}
	
	@Test
	/*
	 * Idade 30
	 * Grupo A
	 * Período: 5 dias
	 * Clube Fidelidade: SIM
	 */
	public void reservarCaso2() {
		int idade = 30;
		char grupo = 'A';
		int dias = 5;
		boolean fidelidade = true;

		double total = App.reservar(idade, fidelidade, grupo, dias);
		
		assertEquals(1353.75, total, .0);
	}
}
